<template>
  <div class="card card-custom">
    <div class="card-body p-0 my-10">
      <Resume :options="options"/>
    </div>
  </div>
</template>
<script>
import items from "../apollo/queries/resume/allResume.gql";
import Resume from "../components/resume";
export default {
  components:{Resume},
  layout:"home",
  name: "index",
  data() {
    return {
      options: {
        fields: [
          {
            key: "id",
            label: "number",
            class: "text-center",
          },
          {
            key: "avatar",
            label: "عکس",
            class: "text-center",
          },
          {
            key: "name",
            label: "نام",
            sortable: true,
            class: "text-center",
          },
          {
            key: "lastName",
            label: "نام خانوادگی",
            sortable: true,
            class: "text-center",
          },
          {
            key: "nationalCode",
            label: "کد ملی",
            sortable: true,
            class: "text-center",
          },
          {
            key: "phone",
            label: "تلفن",
            sortable: true,
            class: "text-center",
          },
          {
            key: "dutyStatus",
            label: "وضعیت سربازی",
            class: "text-center",
          },
          {
            key: "address_s",
            label: "آدرس",
            class: "text-center",
          },
          {
            key: "status",
            label: "وضعیت",
            class: "text-center",
          },
          {
            key: "createdAt",
            label: "تاریخ عضویت",
            sortable: true,
            class: "text-center",
          },
          {
            key: "setting",
            label: "تنظیمات",
            class: "text-center",
          },
        ],
        gueryOption: {
          query: {items},
          allresult: "showAllResume",
          data: "resumes",
        },
        settingRow: {
          status: true,
          actions: {
            delete:false,
            edit:false,
            status:false,
            editUrl:'/edit'
          },
        },
        search: true,
        topSelectPage: true,
        topPagination: false,
        buttonSelectPage: true,
        buttonPagination: true,
      },
    };
  },
  async mounted() {
    this.$store.commit("breadcrumbs/SET_BREADCRUMB", [
      { title: "خانه", route: "/" },
      { title: "مدیریت رزومه ها" },
    ]);
  },

  methods: {},
};
</script>

<style scoped></style>
